from collections import deque
import sys

sys.set_int_max_str_digits(10 ** 9)


def checker(lst, arr):
    l1, l2 = len(lst), len(arr)
    if l1 > l2:
        return False
    elif l1 < l2:
        return True
    return list(lst) < arr


def find_l_el(l, size, num):
    lst = [1] * (size - 1) + [num]
    lst = deque(lst)
    cnt = 0
    for i in range(size):
        if checker(lst, l):
            cnt += 1
        else:
            return cnt
        q = lst.popleft()
        lst.append(q)
    return cnt


def find_all_l(l, size):
    suma = 0
    for i in 2, 3, 5, 7:
        suma += find_l_el(l, size, i)
    return suma


def sol1(l, r):
    ll, rr = len(str(l)), len(str(r))
    l = list(map(int, list(str(l))))
    r = list(map(int, list(str(r + 1))))
    cnt_l = find_all_l(l, ll)
    cnt_r = find_all_l(r, rr)
    n = (rr - ll)
    total = (ll + rr - 1) * n * 2
    return str(max(total - cnt_l + cnt_r, 0))


l, r = int(sys.stdin.readline()), int(sys.stdin.readline())
sys.stdout.write(sol1(l, r))
