from functools import lru_cache


@lru_cache(None)
def check(x):
    lst = list(map(int, list(str(x))))
    pr = 1
    for i in lst:
        pr *= i
    if pr <= 1:
        return False
    for i in range(2, int(pr ** 0.5) + 1):
        if pr % i == 0:
            return False
    return True


def sol1(l, r):
    ll, rr = len(str(l)), len(str(r))
    cnt_l, cnt_r = 0, 0
    for i in range(10 ** (ll - 1), l):
        if check(i):
            cnt_l += 1
    for i in range(10 ** (rr - 1), r + 1):
        if check(i):
            cnt_r += 1

    n = (rr - ll)
    total = (ll + rr - 1) * n * 2
    return max(total - cnt_l + cnt_r, 0)


l, r = int(input()), int(input())
print(sol1(l, r))
